Last updated

API / geotoolkit / map / sources / loaders / ArcGISFeature / ArcGISFeature

Class: ArcGISFeature

loaders.ArcGISFeature.ArcGISFeature

ArcGIS source loader that loads settings and styles from FeatureService server. Supports ArcGIS version 10.0 and higher

Hierarchy

Table of contents

Constructors
Methods

Contents

Constructors

new ArcGISFeature(options)

new ArcGISFeature(options?)

Parameters

Name Type
Optional optionsOptions

Overrides

AbstractLoader.constructor

Methods

clone

clone(): AbstractLoader

All subclasses should override copyConstructor or provide custom implementation for this method

Returns

AbstractLoader

clone

Inherited from

AbstractLoader.clone


cloneQueryParameters

cloneQueryParameters(loader): ArcGISFeature

Copies query parameters from another loader

Parameters

Name Type Description
loaderAbstractLoaderloader to clone parameters

Returns

ArcGISFeature

this

Inherited from

AbstractLoader.cloneQueryParameters


copyConstructor

Protected copyConstructor(src, deepCopy?): ArcGISFeature

Copy constructor function.
Function used as part of the cloning mechanism.
Implementations should copy the given instance state to this instance.

Parameters

Name Type Description
srcAbstractLoaderSource to copy from
Optional deepCopybooleandeep copy

Returns

ArcGISFeature

this

Inherited from

AbstractLoader.copyConstructor


getClassName

getClassName(): string

Returns

string

Inherited from

AbstractLoader.getClassName


getConnector

getConnector(): AbstractConnector<any>

Returns connector

Returns

AbstractConnector<any>

Inherited from

AbstractLoader.getConnector


getCopyright

getCopyright(): string

Returns copyright information.

Returns

string

Inherited from

AbstractLoader.getCopyright


getRequestOptions

Protected getRequestOptions(): SendOptions

Returns server settings request options

Returns

SendOptions

Overrides

AbstractLoader.getRequestOptions


getSettingsUrl

getSettingsUrl(): string

Returns server settings request url

Returns

string

request server data request

Overrides

AbstractLoader.getSettingsUrl


loaded

Protected loaded(callback): void

Resolves loading promise asynchronically

Parameters

Name Type Description
callback(loader: AbstractLoader) => voidresolving callback

Returns

void

Inherited from

AbstractLoader.loaded


parse

parse(data, onload): void

Parses server data response

Parameters

Name Type Description
datastring | JSONObjectdata received from the server
onload(loader: AbstractLoader) => voidfunction to be called when data is loaded

Returns

void

Overrides

AbstractLoader.parse


setQueryParameter

setQueryParameter(param, value): ArcGISFeature

Sets the query parameter to add to the server settings request

Parameters

Name Type Description
paramstringparameter name
valuestring | number | booleanparameter value

Returns

ArcGISFeature

this

Inherited from

AbstractLoader.setQueryParameter


getClassName

Static getClassName(): string

Returns

string

Inherited from

AbstractLoader.getClassName